Mongod-m103: GPG error - NO_PUBKEY

Anyone have this issue and how to resolve it?

mongod-m103: Fetched 199 kB in 14s (13.5 kB/s)
mongod-m103: Reading package lists…
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://security.ubuntu.com trusty-security InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://archive.ubuntu.com trusty-updates InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://archive.ubuntu.com trusty-backports InRelease: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: W
mongod-m103: :
mongod-m103: GPG error: http://archive.ubuntu.com trusty Release: The following signatures couldn’t be verified because the public key is not available: NO_PUBKEY 40976EAF437D05B5 NO_PUBKEY 3B4FE6ACC0B21F32
mongod-m103: + echo ‘Installing MongoDB Enterprise Dependencies’
mongod-m103: Installing MongoDB Enterprise Dependencies
mongod-m103: + sudo apt-get install -y libgssapi-krb5-2 libsasl2-2 libssl1.0.0 libstdc++6 snmp
mongod-m103: Reading package lists…
mongod-m103: Building dependency tree…
mongod-m103: Reading state information…
mongod-m103: libsasl2-2 is already the newest version.
mongod-m103: libgssapi-krb5-2 is already the newest version.
mongod-m103: libssl1.0.0 is already the newest version.
mongod-m103: libstdc++6 is already the newest version.
mongod-m103: Suggested packages:
mongod-m103: lm-sensors snmp-mibs-downloader
mongod-m103: The following NEW packages will be installed:
mongod-m103: libperl5.18 libsensors4 libsnmp-base libsnmp30 snmp
mongod-m103: 0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
mongod-m103: Need to get 1,167 kB of archives.
mongod-m103: After this operation, 4,676 kB of additional disk space will be used.
mongod-m103: WARNING: The following packages cannot be authenticated!
mongod-m103: libsensors4 libperl5.18 libsnmp-base libsnmp30 snmp
mongod-m103: E: There are problems and -y was used without --force-yes
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Hey @Lei_Wu_75791

Have you started to destroy and recreate the VM

vagrant destroy
vagrant up 

I did something similar by deleting it from Virtual box and removed the ./vagrant folder. Now is working. Thanks!

1 Like